RAZIEL.docs
API Explorer

Badges

Embeddable SVG status badges

Sessions count badge

Returns a flat SVG badge showing the total number of sessions for a project. No authentication required — safe to embed in READMEs.

GET
/api/badges/{projectId}/sessions.svg

Path Parameters

projectIdstring

Response Body

curl -X GET "https://app.raziel.fun/api/badges/string/sessions.svg"
"string"

Total cost badge

Returns a flat SVG badge showing the total estimated cost of all sessions for a project. No authentication required.

GET
/api/badges/{projectId}/cost.svg

Path Parameters

projectIdstring

Response Body

curl -X GET "https://app.raziel.fun/api/badges/string/cost.svg"
"string"